Name:           nitroshare
Version:        0.3.1
Release:        2%{?dist}
Summary:        Transfer files from one device to another made extremely simple

License:        MIT
#URL:            https://nitroshare.net
URL:            https://github.com/%{name}/%{name}-desktop
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-desktop.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
A cross-platform network file transfer application designed to make
transferring any file to any device as painless as possible.
Features
    Runs on Windows / Mac OS X / Linux
    Automatic discovery of devices on the local network
    Simple and intuitive user interface
    Transfer entire directories
    Completely free and open-source

%package breeze
Summary:        Breeze icons for Nitroshare
BuildArch:      noarch
Requires:       breeze-icon-theme
Enhances:       %{name}

%description breeze
%{summary}.

%package gnome
Summary:        GNOME icons for Nitroshare
BuildArch:      noarch
Requires:       gnome-icon-theme
Enhances:       %{name}

%description gnome
%{summary}.


%prep
%autosetup -p1 -n%{name}-desktop-%{version}

%build
%cmake
%make_build

%install
%make_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post breeze
/bin/touch --no-create %{_datadir}/icons/breeze* &>/dev/null || :

%postun breeze
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/breeze* &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze* &>/dev/null || :
fi

%posttrans breeze
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze* &>/dev/null || :

%post gnome
/bin/touch --no-create %{_datadir}/icons/gnome &>/dev/null || :

%postun gnome
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/gnome &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :
fi

%posttrans gnome
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :


%files
%license LICENSE.txt
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*.svg
# some useless icons
%exclude %{_datadir}/icons/u*/

%files breeze
%license LICENSE.txt
%{_datadir}/icons/breeze*/*/*/%{name}*.svg

%files gnome
%license LICENSE.txt
%{_datadir}/icons/gnome/*/*/%{name}*.png


%changelog
* Tue Jun 07 2016 Raphael Groner <projects.rg@smart.ms> - 0.3.1-2
- validate desktop file

* Sun May 22 2016 Raphael Groner <projects.rg@smart.ms> - 0.3.1-1
- initial
